/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

#pragma once

#include <set>
#include <string>
#include <vector>
#include <vulkan/vulkan.hpp>

namespace OpenVulkano::Vulkan
{
	class Debug
	{
	public:
		static std::set<std::string> GetAvailableValidationLayers();

		static std::vector<const char*> GetValidationLayers();

		static void SetupValidationLayers(const vk::Instance& instance, const vk::DebugReportFlagsEXT& flags);

		static void CloseValidationLayers(const vk::Instance& instance);
	};
}
